|  | Home · All Classes · Modules

# QTextBoundaryFinder.BoundaryReasons Class Reference
[QtCore module]

### Methods

- __init__ (self, BoundaryReasons)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- BoundaryReasons __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, BoundaryReasons f)
- BoundaryReasons __iand__ (self, int mask)
- int __int__ (self)
- BoundaryReasons __invert__ (self)
- BoundaryReasons __ior__ (self, BoundaryReasons f)
- BoundaryReasons __ixor__ (self, BoundaryReasons f)
- bool __ne__ (self, BoundaryReasons f)
- BoundaryReasons __or__ (self, BoundaryReasons f)
- BoundaryReasons __or__ (self, int f)
- BoundaryReasons __xor__ (self, BoundaryReasons f)
- BoundaryReasons __xor__ (self, int f)

## Detailed Description

BoundaryReason may be used whenever BoundaryReasons is expected.

## Method Documentation

### BoundaryReasons.__init__ (self, BoundaryReasons)

### BoundaryReasons.__init__ (self, int)

### BoundaryReasons.__init__ (self)

### BoundaryReasons BoundaryReasons.__and__ (self, int mask)

### int BoundaryReasons.__bool__ (self)

### bool BoundaryReasons.__eq__ (self, BoundaryReasons f)

### BoundaryReasons BoundaryReasons.__iand__ (self, int mask)

### int BoundaryReasons.__int__ (self)

### BoundaryReasons BoundaryReasons.__invert__ (self)

### BoundaryReasons BoundaryReasons.__ior__ (self, BoundaryReasons f)

### BoundaryReasons BoundaryReasons.__ixor__ (self, BoundaryReasons f)

### bool BoundaryReasons.__ne__ (self, BoundaryReasons f)

### BoundaryReasons BoundaryReasons.__or__ (self, BoundaryReasons f)

### BoundaryReasons BoundaryReasons.__or__ (self, int f)

### BoundaryReasons BoundaryReasons.__xor__ (self, BoundaryReasons f)

### BoundaryReasons BoundaryReasons.__xor__ (self, int f)